library Path;

uses
  SysUtils;
  //Classes;

{$R *.res}

function SetCurrentDir(const Dir: PChar): Boolean; stdcall;
begin
  Result := SysUtils.SetCurrentDir(string(Dir));
end;

function ExtractRelativePath(const BaseName, DestName: PChar):PChar; overload; stdcall;
begin
  Result := PChar(SysUtils.ExtractRelativePath(string(BaseName),string(DestName)));
end;

function ExtractRelativePath(const DestName: PChar):PChar; overload; stdcall;
begin
  Result := PChar(SysUtils.ExtractRelativePath(GetCurrentDir,string(DestName)));
end;


function ExpandFileName(const FileName: PChar): PChar; stdcall;
begin
  Result := PChar(SysUtils.ExpandFileName(string(FileName)));
end;

function ExpandUNCFileName(const FileName: PChar): PChar; stdcall;
begin
  Result := PChar(SysUtils.ExpandUNCFileName(string(FileName)));
end;

exports
  SetCurrentDir,
  ExtractRelativePath(const BaseName, DestName: PChar),
  ExtractRelativePath(const DestName: PChar) name 'ExtractRelativePathEasy',
  ExpandFileName,
  ExpandUNCFileName;

//begin
end.

